/*****************************************************************************
* File Name          : Systick_For_Timeout.h
* Author             : CrystalSu
* Version            : V1.0.0.0
* Date               : Feb 7, 2020
* Description        : 
******************************************************************************/   

#ifndef __SYSTICK_FOR_TIMEOUT_H 
#define __SYSTICK_FOR_TIMEOUT_H

#include "ht32.h"

#define HAL_MAX_DELAY      0xFFFFFFFFU
#define Timeout_Count get_Timeout_Count()

uint8_t 	Systick_1ms_Init( void ) ;
uint8_t 	TimeOut_Check( void ) ;
uint16_t 	get_Timeout_Count( void );
uint32_t 	Get_TickCount( void );
void 			Delay(uint32_t Delay);
void    	Systick_Timeout_Start( uint16_t Count_times ) ;
void    	Systick_Timeout_Stop( void ) ;
void 			Time_Handler( void );

#endif

